{% extends 'base.html.twig' %}

{% block title %}Projet - {{ projet.nom }} {% endblock %}

{% block stylesheets %}
	<link rel="stylesheet" href="{{ asset('css/projetShow.css') }}">
{% endblock %}


{% block body %}
	<header class="flex">
		<div id="header-top">
			{# titre du projet #}
			<h1 id="title">{{ projet.nom }}</h1>
			{# lien vers le projet #}
			{% if projet.url %}
				<a href="{{ projet.url }}" id="button-lien-projet" target="_blank">
					<div>
						voir &#8599;
					</div>
				</a>
			{% endif %}
		</div>
		{# bouton de retour a l'accueil #}
		<a href="{{ path('app_projet_index') }}">
			<div id="header-cross">
				<img src="{{ asset('assets/cross-svgrepo-com.svg') }}">
			</div>
		</a>
	</header>
	
	<div id="description-container">
		<div id="description">
			{{ projet.description }}
		</div>
	</div>

	<div id="technos-container">
		{% for technos in technos[0] %}
			<div class="techno">{{ technos }}</div>
			<div class="techno">{{ technos }}</div>
			<div class="techno">{{ technos }}</div>
		{% endfor %} 
	</div>
	{# si bool est égal a 1, c'est la premiere carte #}
	{# appliquer le style de la carte principale #}
	{# sinon si le bool est even #}
	{# appliquer le style secondaire paire #}
	{# sinon si le bool est odd #}
	{# appliquer le style secondaire impaire #}

	{% set bool = 0 %}
		{% for projetContent in projet.projetContents %}
			{% if bool == 0 %}
			{# appliquer le style de la carte principale #}
				<div class="main-content-container flex gap40"> 
					<img src="{{ projetContent.image }}">
					<div class="dfex-col-wrap">
						<p>{{ projetContent.titre }}</p>
						<p>{{ projetContent.description }}</p>
					</div>
				</div>
		{% else %}
			{% if bool is even %}
				{# appliquer le style secondaire paire #}
				<div class="content-container flex mt50 gap40">
					<img src="{{ projetContent.image }}">
					<div class="dfex-col-wrap">
						<p>{{ projetContent.titre }}</p>
						<p>{{ projetContent.description }}</p>
					</div>
				</div>
				{% else %}
				{# appliquer le style secondaire impaire #}
				<div class="content-container odd flex mt50 gap40">
					<img src="{{ projetContent.image }}">
					<div class="dfex-col-wrap">
						<p>{{ projetContent.titre }}</p>
						<p>{{ projetContent.description }}</p>
					</div>
				</div>
			{% endif %}
		{% endif %}
		{% set bool = bool + 1 %}
	{% endfor %}

	

	<a href="#"><div id="back-to-top">&#8593;</div></a>
{% endblock %}

